Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class AggregationOperator

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.AggregationOperator

Direct Known Subclasses:
  BaseOperator

public abstract class AggregationOperator
extends BaseObject

An abstract class that specifies the operator used in an `Aggregation`.

The default aggregation operator is addition. Valid operator names are specified as `BaseOperator` objects.

See Also:
  `Aggregation`, `OperatorType`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`AggregationOperator(BaseObject input)` Creates an `AggregationOperator` for the specified `Aggregation`.

Method Summary
`java.lang.String` | `getOpcode()` Returns the name of the aggregation operator.
`java.lang.String` | `WriteToXML()` Returns the `AggregationOperator` as an XML string.

Methods inherited from class oracle.AWXML.BaseObject
`Alter, Create, CreateAfter, CreateBefore, CreateFirst, DataRead, Delete, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregationOperator

    public AggregationOperator(BaseObject input)

  Creates an `AggregationOperator` for the specified `Aggregation`.
  Parameters:
    `input` - The `Aggregation` that owns the `AggregationOperator`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Returns the `AggregationOperator` as an XML string.
  Overrides:
    WriteToXML in class BaseObject
  Returns:
    A `String` containing the XML that represents the `AggregationOperator`.

### getOpcode

    public java.lang.String getOpcode()

  Returns the name of the aggregation operator.

  The name is a valid value of `BaseOperator`. The default value is "`SUM`".

  Returns:
    The name of the aggregation operator.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.